org.jboss.jca.common.api.metadata

## Interface Defaults

-     public interface Defaults

  Default values for the JCA metadata
  Author:
    Jesper Pedersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Boolean` | `ALLOW_MULTIPLE_USERS` Allow multiple users
    `static java.lang.Boolean` | `APPLICATION_MANAGED_SECURITY` application managed security
    `static java.lang.Boolean` | `BACKGROUND_VALIDATION` Background validation
    `static java.lang.Boolean` | `CONNECTABLE` CONNECTABLE
    `static java.lang.Boolean` | `ENABLED` Use Java context
    `static java.lang.Boolean` | `ENLISTMENT` ENLISTMENT
    `static java.lang.Boolean` | `ENLISTMENT_TRACE` ENLISTMENT_TRACE
    `static java.lang.Boolean` | `FAIR` Fair
    `static FlushStrategy` | `FLUSH_STRATEGY` Flush strategy
    `static java.lang.Integer` | `INITIAL_POOL_SIZE` Initial pool size
    `static java.lang.Boolean` | `INTERLEAVING` Interleaving
    `static java.lang.Boolean` | `IS_SAME_RM_OVERRIDE` Is same rm override
    `static boolean` | `JTA` JTA
    `static java.lang.Integer` | `MAX_POOL_SIZE` Max pool size
    `static java.lang.String` | `MCP` MCP
    `static java.lang.Integer` | `MIN_POOL_SIZE` Min pool size
    `static java.lang.Boolean` | `NO_RECOVERY` No recovery
    `static java.lang.Boolean` | `NO_TX_SEPARATE_POOL` No tx separate pool
    `static java.lang.Boolean` | `PAD_XID` Pad Xid
    `static java.lang.Boolean` | `PREFILL` Prefill
    `static java.lang.Boolean` | `SET_TX_QUERY_TIMEOUT` SET TX QUERY TIMEOUT
    `static java.lang.Boolean` | `SHARABLE` SHARABLE
    `static java.lang.Boolean` | `SHARE_PREPARED_STATEMENTS` share prepared statement
    `static java.lang.Boolean` | `SPY` SPY
    `static Statement.TrackStatementsEnum` | `TRACK_STATEMENTS` Track statements
    `static java.lang.Boolean` | `TRACKING` TRACKING
    `static java.lang.Boolean` | `USE_CCM` Use ccm
    `static java.lang.Boolean` | `USE_FAST_FAIL` Use fast fail
    `static java.lang.Boolean` | `USE_JAVA_CONTEXT` Use Java context
    `static java.lang.Boolean` | `USE_STRICT_MIN` Use strict min
    `static java.lang.Boolean` | `VALIDATE_ON_MATCH` Validate on match
    `static java.lang.Boolean` | `WRAP_XA_RESOURCE` Wrap XAResource

- - ### Field Detail

    - #### USE_JAVA_CONTEXT

          static final java.lang.Boolean USE_JAVA_CONTEXT

      Use Java context

    - #### ENABLED

          static final java.lang.Boolean ENABLED

      Use Java context

    - #### SPY

          static final java.lang.Boolean SPY

      SPY

    - #### USE_CCM

          static final java.lang.Boolean USE_CCM

      Use ccm

    - #### JTA

          static final boolean JTA

      JTA

    - #### SHARABLE

          static final java.lang.Boolean SHARABLE

      SHARABLE

    - #### ENLISTMENT

          static final java.lang.Boolean ENLISTMENT

      ENLISTMENT

    - #### CONNECTABLE

          static final java.lang.Boolean CONNECTABLE

      CONNECTABLE

    - #### TRACKING

          static final java.lang.Boolean TRACKING

      TRACKING

    - #### MCP

          static final java.lang.String MCP

      MCP

    - #### ENLISTMENT_TRACE

          static final java.lang.Boolean ENLISTMENT_TRACE

      ENLISTMENT_TRACE

    - #### MIN_POOL_SIZE

          static final java.lang.Integer MIN_POOL_SIZE

      Min pool size

    - #### INITIAL_POOL_SIZE

          static final java.lang.Integer INITIAL_POOL_SIZE

      Initial pool size

    - #### MAX_POOL_SIZE

          static final java.lang.Integer MAX_POOL_SIZE

      Max pool size

    - #### PREFILL

          static final java.lang.Boolean PREFILL

      Prefill

    - #### FAIR

          static final java.lang.Boolean FAIR

      Fair

    - #### USE_STRICT_MIN

          static final java.lang.Boolean USE_STRICT_MIN

      Use strict min

    - #### FLUSH_STRATEGY

          static final FlushStrategy FLUSH_STRATEGY

      Flush strategy

    - #### INTERLEAVING

          static final java.lang.Boolean INTERLEAVING

      Interleaving

    - #### IS_SAME_RM_OVERRIDE

          static final java.lang.Boolean IS_SAME_RM_OVERRIDE

      Is same rm override

    - #### PAD_XID

          static final java.lang.Boolean PAD_XID

      Pad Xid

    - #### NO_TX_SEPARATE_POOL

          static final java.lang.Boolean NO_TX_SEPARATE_POOL

      No tx separate pool

    - #### WRAP_XA_RESOURCE

          static final java.lang.Boolean WRAP_XA_RESOURCE

      Wrap XAResource

    - #### ALLOW_MULTIPLE_USERS

          static final java.lang.Boolean ALLOW_MULTIPLE_USERS

      Allow multiple users

    - #### SHARE_PREPARED_STATEMENTS

          static final java.lang.Boolean SHARE_PREPARED_STATEMENTS

      share prepared statement

    - #### TRACK_STATEMENTS

          static final Statement.TrackStatementsEnum TRACK_STATEMENTS

      Track statements

    - #### SET_TX_QUERY_TIMEOUT

          static final java.lang.Boolean SET_TX_QUERY_TIMEOUT

      SET TX QUERY TIMEOUT

    - #### BACKGROUND_VALIDATION

          static final java.lang.Boolean BACKGROUND_VALIDATION

      Background validation

    - #### USE_FAST_FAIL

          static final java.lang.Boolean USE_FAST_FAIL

      Use fast fail

    - #### VALIDATE_ON_MATCH

          static final java.lang.Boolean VALIDATE_ON_MATCH

      Validate on match

    - #### NO_RECOVERY

          static final java.lang.Boolean NO_RECOVERY

      No recovery

    - #### APPLICATION_MANAGED_SECURITY

          static final java.lang.Boolean APPLICATION_MANAGED_SECURITY

      application managed security

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)